##############################################################################
##
#W  actor2.gd                      XMOD Package                  Chris Wensley
#W                                                                 & Murat Alp
##
##  Declaration file for functions of the XMOD package.
##
#H  @(#)$Id: actor2.gd,v 2.007 2006/02/24 gap Exp $
##
#Y  Copyright (C) 1999,2001 University of St. Andrews, North Haugh,
#Y                          St. Andrews, Fife KY16 9SS, Scotland
##
Revision.("xmod/gap/actor2_gd") := 
    "@(#)$Id: obj2.gd,v 2.007 2006/02/24 gap Exp $";

#############################################################################
##
#A  AutomorphismPermGroup( <obj> )
##
DeclareAttribute( "AutomorphismPermGroup", Is2dObject );
DeclareAttribute( "GeneratingAutomorphisms", Is2dObject );
DeclareAttribute( "IsomorphismAutoGroup", IsGroup );
DeclareProperty( "IsAutomorphismPermGroupOfXMod", IsGroup );
DeclareAttribute( "EmbedSourceAutos", IsAutomorphismPermGroupOfXMod );
DeclareAttribute( "EmbedRangeAutos", IsAutomorphismPermGroupOfXMod );
DeclareAttribute( "SourceProjection", IsAutomorphismPermGroupOfXMod );
DeclareAttribute( "RangeProjection", IsAutomorphismPermGroupOfXMod );
DeclareAttribute( "XModActedUpon", IsAutomorphismPermGroupOfXMod );

#############################################################################
##
#O  PermAutomorphismAsXModMorphism( <xmod>, <permaut> )
##
DeclareOperation( "PermAutomorphismAsXModMorphism", [ IsXMod, IsPerm ] );

#############################################################################
##
#A  WhiteheadXMod( <XM> )
#A  NorrieXMod( <XM> )
#A  LueXMod( <XM> )
##
DeclareAttribute( "WhiteheadXMod", IsXMod );
DeclareAttribute( "NorrieXMod", IsXMod );
DeclareAttribute( "LueXMod", IsXMod );

#############################################################################
##
#F  Actor( <args> )
#F  InnerActor( <args> )
#A  ActorXMod( <XM> )
#A  ActorCat1( <C> )
##
DeclareGlobalFunction( "Actor" );
DeclareGlobalFunction( "InnerActor" );
DeclareAttribute( "ActorXMod", IsXMod );
DeclareAttribute( "ActorCat1", IsCat1 );

#############################################################################
##
#A  InnerActorXMod( <XM> )
#A  InnerMorphism( <XM> )
##
DeclareAttribute( "InnerActorXMod", IsXMod );
DeclareAttribute( "InnerMorphism", IsXMod );

#############################################################################
##
#O  ImageAutomorphismDerivation( <mor>, <chi> )
##
DeclareOperation( "ImageAutomorphismDerivation", 
    [ IsXModMorphism, IsDerivation ] );

#############################################################################
##
#E  actor2.gd . . . . . . . . . . . . . . . . . . . . . . . . . . . ends here
